Apache JMeter

## org.apache.jmeter.save.converters
Class HashTreeConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
          org.apache.jmeter.save.converters.HashTreeConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

    public class HashTreeConverter

extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

Constructor Summary
`HashTreeConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

Method Summary
`boolean` `canConvert(Class arg0)`
`static String` `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` `marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`Object` `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
`createCollection, mapper, readItem, writeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashTreeConverter

    public HashTreeConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

Method Detail

### getVersion

    public static String getVersion()

  Returns the converter version; used to check for possible incompatibilities

### canConvert

    public boolean canConvert(Class arg0)

  Specified by:
    `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
  Specified by:
    `canConvert` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

### marshal

    public void marshal(Object arg0,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

  Specified by:
    `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
  Specified by:
    `marshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

  Specified by:
    `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
  Specified by:
    `unmarshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.